<?php
use Illuminate\Database\Capsule\Manager as Capsule;
/*
 *
 *  THIS SCRIPT IS DEVELOPED BY Nic Sepehr Co.
 *  THIS SCRIPT IS DISTRIBUTED UNDER APACHE 2.0 LICENSE.
 *  Copyright [2017] [Nic Sepehr Co]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 * */
if (!defined("WHMCS")) {
    die("This file cannot be accessed directly");
}
function Licenseha_Cloud_MetaData(){
    return array(
        'DisplayName' => 'Licenseha CloudLinux'
    );
}
function Licenseha_Cloud_ConfigOptions()
{
    $configarray = array(
        // the dropdown field type renders a select menu of options
        "configoption" => array(
            "FriendlyName" => "CloudLinux type",
            'Type' => 'dropdown',
            'Options' => "Cloudlinux for cPanel,Cloudlinux",
            'description' => 'If you have cPanel on your server, select CloudLinux for cPanel.'
        ),
    );
    return $configarray;
}

function Licenseha_Cloud_CreateAccount(array $params)
{

    $uinfo = Capsule::table('tbladdonmodules')
        ->where('module', 'licenseha_addons')
        ->pluck('value','setting');

    if (empty($uinfo['email'])) {
        return "Please Active Your Licenseha Addon!";
    }
    $postfield['email'] = $uinfo['email'];
    $postfield['password'] = $uinfo['password'];
    $postfield['serviceid'] = $params['serviceid'];
    $serviceid = $params['serviceid'];
    $postfield['action'] = 'action';
    $postfield['proudct'] = $params['configoption1'];
    $ip = $params["customfields"]["IP"];

    if (empty($ip)) {
        return "Ip address is not filled OR there is no customfield named (IP)";
    }
    $postfield['IP'] = $params['customfields']['IP'];
    $billingcycle = Capsule::table('tblhosting')
        ->select('billingcycle')
        ->where('id', $serviceid)
        ->get();
    $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/addcloud');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
    $response = curl_exec($ch);
    if (curl_error($ch)) {
        die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
    }
    curl_close($ch);

// Attempt to decode response as json
    $jsonData = json_decode($response, true);
    if ($jsonData["result"]=="success"){
        update_query('tblhosting',array('domain' => $params['customfields']['IP'] ,),
            array('id' =>  $params["serviceid"],));
        return 'success';
    }else {
        return $jsonData["message"];
    }
}

function Licenseha_Cloud_SuspendAccount(array $params)
{
    $uinfo = Capsule::table('tbladdonmodules')
        ->where('module', 'licenseha_addons')
        ->pluck('value','setting');

    if (empty($uinfo['email'])) {
        return "Please Active Your Licenseha Addon!";
    }
    $postfield['email'] = $uinfo['email'];
    $postfield['password'] = $uinfo['password'];
    $postfield['serviceid'] = $params['serviceid'];
    $serviceid =$params['serviceid'];
    $postfield['action'] = 'action';
    $postfield['proudct']=$params['configoption1'];
    $ip = $params["customfields"]["IP"];

    if (empty($ip)) {
        return "Ip address is not filled OR there is no customfield named (IP)";
    }
    $postfield['IP']=$params['customfields']['IP'];
    $billingcycle = Capsule::table('tblhosting')
        ->select('billingcycle')
        ->where('id', $serviceid)
        ->get();
    $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/suspend');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
    $response = curl_exec($ch);
    if (curl_error($ch)) {
        die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
    }
    curl_close($ch);

// Attempt to decode response as json
    $jsonData = json_decode($response, true);
    if ($jsonData["result"]=="success"){
        return 'success';
    }
    else {
        return $jsonData["message"] ;
    }
}

function Licenseha_Cloud_UnsuspendAccount(array $params)
{
    $uinfo = Capsule::table('tbladdonmodules')
        ->where('module', 'licenseha_addons')
        ->pluck('value','setting');

    if (empty($uinfo['email'])) {
        return "Please Active Your Licenseha Addon!";
    }
    $postfield['email'] = $uinfo['email'];
    $postfield['password'] = $uinfo['password'];
    $postfield['serviceid'] = $params['serviceid'];
    $serviceid =$params['serviceid'];
    $postfield['proudct']=$params['configoption1'];
    $ip = $params["customfields"]["IP"];

    if (empty($ip)) {
        return "Ip address is not filled OR there is no customfield named (IP)";
    }
    $postfield['IP']=$params['customfields']['IP'];
    $billingcycle = Capsule::table('tblhosting')
        ->select('billingcycle')
        ->where('id', $serviceid)
        ->get();
    $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/unsuspend');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
    $response = curl_exec($ch);
    if (curl_error($ch)) {
        die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
    }
    curl_close($ch);

// Attempt to decode response as json
    $jsonData = json_decode($response, true);
    if ($jsonData["result"]=="success"){
        return 'success';
    }
    else {
        return $jsonData["message"] ;
    }

}

function Licenseha_Cloud_TerminateAccount(array $params)
{
    $uinfo = Capsule::table('tbladdonmodules')
        ->where('module', 'licenseha_addons')
        ->pluck('value','setting');

    if (empty($uinfo['email'])) {
        return "Please Active Your Licenseha Addon!";
    }
    $postfield['email'] = $uinfo['email'];
    $postfield['password'] = $uinfo['password'];
    $postfield['serviceid'] = $params['serviceid'];
    $serviceid =$params['serviceid'];
    $postfield['action'] = 'action';
    $postfield['proudct']=$params['configoption1'];
    $ip = $params["customfields"]["IP"];

    if (empty($ip)) {
        return "Ip address is not filled OR there is no customfield named (IP)";
    }
    $postfield['IP']=$params['customfields']['IP'];
    $billingcycle = Capsule::table('tblhosting')
        ->select('billingcycle')
        ->where('id', $serviceid)
        ->get();
    $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/terminate');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
    $response = curl_exec($ch);
    if (curl_error($ch)) {
        die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
    }
    curl_close($ch);

// Attempt to decode response as json
    $jsonData = json_decode($response, true);
    if ($jsonData["result"]=="success"){
        return 'success';
    }
    else {
        return $jsonData["message"] ;
    }
}
function Licenseha_Cloud_Renew(array $params)
{
    $uinfo = Capsule::table('tbladdonmodules')
        ->where('module', 'licenseha_addons')
        ->pluck('value','setting');

    if (empty($uinfo['email'])) {
        return "Please Active Your Licenseha Addon!";
    }
    $postfield['email'] = $uinfo['email'];
    $postfield['password'] = $uinfo['password'];
    $postfield['serviceid'] = $params['serviceid'];
    $serviceid =$params['serviceid'];
    $postfield['action'] = 'action';
    $postfield['proudct']=$params['configoption1'];
    $ip = $params["customfields"]["IP"];

    if (empty($ip)) {
        return "Ip address is not filled OR there is no customfield named (IP)";
    }
    $postfield['IP']=$params['customfields']['IP'];
    $billingcycle = Capsule::table('tblhosting')
        ->select('billingcycle')
        ->where('id', $serviceid)
        ->get();
    $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/renew');
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
    $response = curl_exec($ch);
    if (curl_error($ch)) {
        die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
    }
    curl_close($ch);

// Attempt to decode response as json
    $jsonData = json_decode($response, true);
    if ($jsonData["result"]=="success"){
        return 'success';
    }
    else {
        return $jsonData["message"] ;
    }
}
function Licenseha_Cloud_ClientArea($params){

    if(!$_POST['ip']){
        $code = '<form method="post" action="/cp/clientarea.php?action=productdetails&id=' . $params["serviceid"] .'" class="form-inline" role="form">';
        $code .= '<input type="hidden" name="id" value="' . $params["serviceid"] . '">';
        $code .= "<table><tr><td>آی پی جدید :</td><td><input type='text' name='ip' value='" . $params["customfields"]["IP"] . "'></td>";
        $code .= '<td><input type="submit" class="btn btn-default" value="تغییر آی پی">';
        $code .= '</td></tr></table></form>';
        return $code;
    }
    else{
        $uinfo = Capsule::table('tbladdonmodules')
            ->where('module', 'licenseha_addons')
            ->pluck('value','setting');

        if (empty($uinfo['email'])) {
            return "Please Active Your Licenseha Addon!";
        }
        $postfield['email'] = $uinfo['email'];
        $postfield['password'] = $uinfo['password'];
        $postfield['serviceid'] = $params['serviceid'];
        $serviceid =$params['serviceid'];
        $postfield['action'] = 'action';
        $postfield['proudct']=$params['configoption1'];
        $postfield['newip']=$_POST['ip'];
        $ip = $params["customfields"]["IP"];

        if (empty($ip)) {
            return "Ip address is not filled OR there is no customfield named (IP)";
        }
        $postfield['IP']=$params['customfields']['IP'];
        $billingcycle = Capsule::table('tblhosting')
            ->select('billingcycle')
            ->where('id', $serviceid)
            ->get();
        $postfield['biling'] = $billingcycle{0}->billingcycle;

// send to the licenseha severe

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, 'http://apinew.licenseha.com/api/v1/cpanel/changeip');
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_TIMEOUT, 30);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, http_build_query($postfield));
        $response = curl_exec($ch);
        if (curl_error($ch)) {
            die('Unable to connect: ' . curl_errno($ch) . ' - ' . curl_error($ch));
        }
        curl_close($ch);

// Attempt to decode response as json
        $jsonData = json_decode($response, true);
        if ($jsonData["result"]=="success"){
            update_query('tblhosting',array('domain' => $_POST['ip'] ,),
                array('id' =>  $params["serviceid"],));
            update_query('tblcustomfieldsvalues',array('value' => $_POST['ip'] ,),
                array('value' =>  $params['customfields']['IP'], 'relid' => $params["serviceid"],));
            $code = "<a href='/cp/clientarea.php?action=productdetails&id=".$params["serviceid"]."'><span class='badge'>Your license IP has been changed successfully. please click here</span></a>";
            return $code;
        }
        else {

            return $jsonData["message"] ;
        }
    }
}
