<?php
use Illuminate\Database\Capsule\Manager as Capsule;
/*
 *
 *  THIS SCRIPT IS DEVELOPED BY Nic Sepehr Co.
 *  THIS SCRIPT IS DISTRIBUTED UNDER APACHE 2.0 LICENSE.
 *  Copyright [2017] [Nic Sepehr Co]
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 * */

//--------------Lisenceha_Cloud Validation------------------//

$products = Capsule::table('tblproducts')
    ->where('servertype', 'Licenseha_Cloud')
    ->get();
//print_r($products);

$output .= "<style>span{margin: 7px;} span.warn{float: right;} table th,table td{text-align: center; vertical-align: middle !important;}</style>";

if(empty($products)){
    $output .= '<div class="alert alert-danger col-md-12" role="alert">No Product Created for Cloud Linux. <a target="_blank" class="btn btn-info" href="https://licenseha.com/%d9%86%d9%85%d8%a7%db%8c%d9%86%d8%af%da%af%db%8c-%d9%84%d8%a7%db%8c%d8%b3%d9%86%d8%b3-%da%a9%d9%84%d9%88%d8%af-%d9%84%db%8c%d9%86%d9%88%da%a9%d8%b3-cloudlinux/">Help?</a></div>';
}else {
    $output .= '<table id="products-tb" class="table table-bordered text-center col-md-12">';
    $output .= '<thead>';
    $output .= '<tr>';
    $output .= '<th rowspan="2">Product ID</th>';
    $output .= '<th rowspan="2">Product Name</th>';
    $output .= '<th rowspan="2">Type</th>'; //configoption1
    $output .= '<th colspan="2">Custom Field</th>';
    $output .= '<th rowspan="2">Edit</th>';
    $output .= '</tr>';
    $output .= '<tr><td>Field Name</td><td>Field Type</td></tr>';
    $output .= '</thead>';
    foreach ($products as $product) {

        $customFields = Capsule::table('tblcustomfields')
            ->where('relid', $product->id)
            ->get();


        $IP_Field = IP_Check($customFields); //--------------------------Check IP Fields

        $output .= '<tr relid="' . $product->id . '">';
        $output .= '<td>' . $product->id . '</td>';
        $output .= '<td>' . $product->name . '</td>';
        $output .= '<td>' . $product->configoption1 . '</td>';

        if (empty($customFields)) {
            $output .= '<td colspan="2">No Custom Field Created.<span class="label label-danger warn">NOT</span></td>';
        } else {
            $output .= '<td>'.$IP_Field['name'].'</td>';
            $output .= '<td>'.$IP_Field['type'].'</td>';
        }
        $output .= '<td><a target="_blank" class="btn btn-success" href="configproducts.php?action=edit&id=' . $product->id . '">Edit</a></td>';
        $output .= '</tr>';
    }
    $output .= '</table>';
    $output .= '<div dir="rtl" class="col-md-12">';
    $output .= '<p style="text-align: right;">- <strong>توجه! </strong>در صورتی که در جدول بالا با خطای <span class="label label-danger">NOT</span> مواجه شدید راهنمای این محصول را از <a target="_blank" href="https://licenseha.com/%d9%86%d9%85%d8%a7%db%8c%d9%86%d8%af%da%af%db%8c-%d9%84%d8%a7%db%8c%d8%b3%d9%86%d8%b3-%da%a9%d9%84%d9%88%d8%af-%d9%84%db%8c%d9%86%d9%88%da%a9%d8%b3-cloudlinux/"><strong>این لینک</strong></a> مطالعه کرده و برای رفع خطای محصول خود اقدام نمایید.</p>';
    $output .= '</div>';
}
    echo $output;


function IP_Check($customFields){

    $IP_exist = FALSE;
    $IP_Field = [];
    foreach ($customFields as $customField) {
        if ($customField->fieldname == 'IP' && $customField->fieldtype == 'text') {
            $IP_exist = TRUE;
            $IP_Field['name'] = "IP<span class='label label-success warn'>OK</span>";
            $IP_Field['type'] = "Text Box<span class='label label-success warn'>OK</span>";
            break;
        }
    }
    if (!$IP_exist) {
        foreach ($customFields as $customField) {
            if ($customField->fieldname == 'IP' && $customField->fieldtype !== 'text') {
                $IP_exist = TRUE;
                $IP_Field['name'] = "IP<span class='label label-success warn'>OK</span>";
                $IP_Field['type'] = "<del><em>" . $customField->fieldtype . "</em></del> <ins>(must be <span class='label label-success'>Text Box</span>)</ins><span class='label label-danger warn'>NOT</span>";
                break;
            }
        }
        if (!$IP_exist) {
            foreach ($customFields as $customField) {
                if ($customField->fieldtype == 'text') {
                    $IP_exist = TRUE;
                    $IP_Field['name'] = "<del><em>" . $customField->fieldname . "</em></del> <ins>(must be <span class='label label-success'>IP</span>)</ins><span class='label label-danger warn'>NOT</span>";
                    $IP_Field['type'] = "Text Box<span class='label label-success warn'>OK</span>";
                    break;
                }
            }
        }
        if (!$IP_exist) {
            $IP_Field['name'] = "<em>N/A</em> (must be <span class='label label-success'>IP</span>)<span class='label label-danger warn'>NOT</span>";
            $IP_Field['type'] = "<em>N/A</em> (must be <span class='label label-success'>Text Box</span>)<span class='label label-danger warn'>NOT</span>";
        }
    }
    return $IP_Field;
}